Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Interface ExpressionVisitorExpression

All Known Subinterfaces:
  RELAXExpressionVisitorExpression

All Known Implementing Classes:
  AttributeFeeder, AttributePicker, ExpressionCloner, ResidualCalculator

public interface ExpressionVisitorExpression

ExpressionVisitor that returns Expression object.

Author:
  Kohsuke KAWAGUCHI

Method Summary
`Expression` | `onAnyString()`
`Expression` | `onAttribute(AttributeExp exp)`
`Expression` | `onChoice(ChoiceExp exp)`
`Expression` | `onConcur(ConcurExp p)`
`Expression` | `onData(DataExp exp)`
`Expression` | `onElement(ElementExp exp)`
`Expression` | `onEpsilon()`
`Expression` | `onInterleave(InterleaveExp p)`
`Expression` | `onList(ListExp exp)`
`Expression` | `onMixed(MixedExp exp)`
`Expression` | `onNullSet()`
`Expression` | `onOneOrMore(OneOrMoreExp exp)`
`Expression` | `onOther(OtherExp exp)`
`Expression` | `onRef(ReferenceExp exp)`
`Expression` | `onSequence(SequenceExp exp)`
`Expression` | `onValue(ValueExp exp)`

Method Detail

### onAttribute

    public Expression onAttribute(AttributeExp exp)

### onChoice

    public Expression onChoice(ChoiceExp exp)

### onElement

    public Expression onElement(ElementExp exp)

### onOneOrMore

    public Expression onOneOrMore(OneOrMoreExp exp)

### onMixed

    public Expression onMixed(MixedExp exp)

### onList

    public Expression onList(ListExp exp)

### onRef

    public Expression onRef(ReferenceExp exp)

### onOther

    public Expression onOther(OtherExp exp)

### onEpsilon

    public Expression onEpsilon()

### onNullSet

    public Expression onNullSet()

### onAnyString

    public Expression onAnyString()

### onSequence

    public Expression onSequence(SequenceExp exp)

### onData

    public Expression onData(DataExp exp)

### onValue

    public Expression onValue(ValueExp exp)

### onConcur

    public Expression onConcur(ConcurExp p)

### onInterleave

    public Expression onInterleave(InterleaveExp p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD